Skonfiguruj Ubuntu 16.04 LTS z Apache2 2.4.29, MariaDB 10.2, PHP 7.2 (LAMP)

  • Richard Poole
  • 0
  • 1345
  • 410

Czasami dobrze jest mieć absolutnie najnowsze wersje oprogramowania… w większości przypadków najnowsze wersje zawierają nowe funkcje, poprawki błędów i inne możliwości niedostępne w poprzednich wersjach…

Tworząc strony internetowe lub blogi w oparciu o stos LAMP, możesz zacząć od najnowszych aplikacji, które tworzą ten stos… LAMP to Ubuntu, Apache2, MariaDB i PHP… Ten post pokazuje studentom i nowym użytkownikom, jak zainstalować najnowsze wersje Apache2, MariaDB i PHP na serwerze Ubuntu 16.04 LTS…

Obecnie serwery Ubuntu 16.04 LTS działają ze starszymi, ale stabilnymi wersjami Apache2, MariaDB i PHP… Jeśli chcesz uruchomić najnowszą wersję, musisz zainstalować ich repozytoria, a także najnowszy PPA innej firmy dla PHP.

Ponadto nie wszystkie aplikacje są kompatybilne z PHP 7.2… więc poszukaj informacji na temat aplikacji używającej stosu…

Obecnie, 17.01.2018, najnowsza wersja Apache2 Mainline to 1.13.8, MariaDB to 10.2.12, a PHP jest na 7.2. Aby je zainstalować, poniższe kroki powinny być punktem wyjścia.

Krok 1: Zaktualizuj serwer Ubuntu 16.04 LTS

Przed zainstalowaniem pakietów na serwerach Ubuntu, pierwszym zadaniem powinna być aktualizacja Ubuntu… aby to zrobić, uruchom poniższe polecenia:

sudo apt update && sudo apt dist-upgrade && sudo apt autoremove

Krok 2: Zainstaluj Apache2 2.4.29 na Ubuntu 16.04 LTS

Najnowsza wersja Apache2 nie jest obecnie dostępna w Ubuntu 16.04… Aby ją zainstalować, musisz dodać repozytorium innej firmy do Ubuntu… Uruchom poniższe polecenia, aby dodać repozytorium i klucz.

sudo add-apt-repository ppa: ondrej / apache2 sudo apt aktualizacja sudo apt install apache2

Następnie zaktualizuj i zainstaluj Apache2… wykonanie tej czynności spowoduje pobranie najnowszej wersji dla Ubuntu 16.04… jeśli repozytorium pozostanie w systemie, będziesz nadal otrzymywać najnowszą wersję za każdym razem, gdy zostanie wydana.

sudo apt update sudo apt install apache2 

Krok 3: Zainstaluj MariaDB 10.2.12 na Ubuntu 16.04 LTS

Ponownie, najnowsza wersja MariaDB nie jest dostępna dla Ubuntu 16.04… aby zainstalować, dodaj repozytorium poniżej:

sudo apt-get install Software-properties-common sudo apt-key adv --recv-keys --keyserver hkp: //keyserver.ubuntu.com: 80 0xF1656F24C74CD1D8 

Po dodaniu klucza repozytorium powyżej, kontynuuj poniżej, aby dodać repozytorium MariaDB. Aby dodać repozytorium dla MariaDB, uruchom poniższe polecenia:

sudo sh -c "echo 'deb [arch = amd64, i386] https://mirrors.evowise.com/mariadb/repo/10.2/ubuntu' $ (lsb_release -cs) 'main'> / etc / apt / sources. list.d / MariaDB-10.2.list ”

Następnie uruchom poniższe polecenia, aby zaktualizować i zainstalować najnowszą wersję serwera bazy danych MariaDB.

sudo apt update sudo apt install mariadb-server mariadb-client

Krok 4: Zainstaluj PHP 7.2 na Ubuntu 16.04 LTS

Na koniec, aby zainstalować najnowszą wersję PHP, uruchom poniższe polecenia, aby dodać to repozytorium innej firmy… i wykonaj instalację php 7.2

PHP 7.2 nie jest dostępne w domyślnych repozytoriach Ubuntu… aby go zainstalować, będziesz musiał go pobrać z repozytoriów innych firm.

Uruchom poniższe polecenia, aby dodać poniższe repozytorium stron trzecich w celu aktualizacji do PHP 7.2

sudo apt-get install właściwości-oprogramowania-common sudo add-apt-repository ppa: ondrej / php

Następnie uruchom poniższe polecenia, aby zaktualizować i zainstalować PHP 7.2

sudo apt aktualizacja sudo apt zainstaluj php7.2 libapache2-mod-php7.2

Otóż ​​to!

Oto jak zainstalować najnowszą wersję LEMP na Ubuntu 16.04 LTS.

Cieszyć się!




Jeszcze bez komentarzy

Zbiór przydatnych informacji o systemie operacyjnym Linux i nowych technologiach
Świeże artykuły, praktyczne wskazówki, szczegółowe recenzje i poradniki. Poczuj się jak w domu w świecie systemu operacyjnego Linux